
$fext = 11.11111;
$k = 11.11111;
$m = 1.0;
$b = 2.66667;

$dt = 1/30.0;

$k1 = 2.0 - $dt*($k*$dt + $b)/$m; 
$k2 = 1.0 - $dt*$b/$m; 
$k3 = ($fext * $dt * $dt)/$m;

# x_{t+1} = k1 * x_t - k2 * x_{t-1} + k3
# t_0 = 0

# En el tiempo t = 0
$xt_1 = 0;
$xt   = 0;
$xt1  = 0;
$t = 0;
print "$t $xt\n";

FIN: for ( $i=1; ; $i++ ) {
	$xt1 = $k1*$xt - $k2*$xt_1 + $k3;
	$xt_1 = $xt;
	$xt   = $xt1;

	$t = $i*$dt;
	last FIN if ( $t > 5.0 );
	print "$t $xt1\n";
}
