
$fext = 1.111111;
$theta = 30; # En grados;

$k = 11.11111;
$m = 1.0;
$b = 2.66667;

$dt = 1/30.0;

$theta *= 3.1416/180;
$fx = $fext*cos($theta);
$fy = $fext*sin($theta);

$k1 = 2.0 - $dt*($k*$dt + $b)/$m; 
$k2 = 1.0 - $dt*$b/$m; 
$k3x = ($fx * $dt * $dt)/$m;
$k3y = ($fy * $dt * $dt)/$m;

# x_{t+1} = k1 * x_t - k2 * x_{t-1} + k3
# t_0 = 0

# En el tiempo t = 0
$xt_1 = 0;
$xt   = 0;
$xt1  = 0;
$t = 0;

$yt_1 = 0;
$yt   = 0;
$yt1  = 0;
print "$t $xt1 $yt1\n";

FIN: for ( $i=1; ; $i++ ) {
	$xt_1 = $xt;
	$xt   = $xt1;
	$xt1 = $k1*$xt - $k2*$xt_1 + $k3x;

	$yt_1 = $yt;
	$yt   = $yt1;
	$yt1 = $k1*$yt - $k2*$yt_1 + $k3y;

	$t = $i*$dt;
	last FIN if ( $t > 5.0 );
	print "$t $xt1 $yt1\n";
}
